Extending Qt Creator Manual | CppQmlTypes

Extending Qt Creator Manual 4.5.2

# CppQmlTypes Class

(QmlJS::CppQmlTypes)

- List of all members, including inherited members

## Public Functions

| CppQmlTypes(ValueOwner *valueOwner)
const ObjectValue * | cppContextProperties() const
QList<const CppComponentValue *> | createObjectsForImport(const QString &package, LanguageUtils::ComponentVersion version)
bool | hasModule(const QString &module) const
void | load(const QString &originId, const T &fakeMetaObjects, const QString &overridePackage = QString())
const CppComponentValue * | objectByCppName(const QString &cppName) const
const CppComponentValue * | objectByQualifiedName(const QString &fullyQualifiedName) const
const CppComponentValue * | objectByQualifiedName(const QString &package, const QString &type, LanguageUtils::ComponentVersion version) const
void | setCppContextProperties(const ObjectValue *contextProperties)

## Static Public Members

QString | qualifiedName(const QString &module, const QString &type, LanguageUtils::ComponentVersion version)

## Member Function Documentation

### CppQmlTypes::CppQmlTypes(ValueOwner *valueOwner)

Default constructs an instance of CppQmlTypes.

### const ObjectValue *CppQmlTypes::cppContextProperties() const

See also setCppContextProperties().

### QList<const CppComponentValue *> CppQmlTypes::createObjectsForImport(const QString &package, LanguageUtils::ComponentVersion version)

### bool CppQmlTypes::hasModule(const QString &module) const

### void CppQmlTypes::load(const QString &originId, const T &fakeMetaObjects, const QString &overridePackage = QString())

### const CppComponentValue *CppQmlTypes::objectByCppName(const QString &cppName) const

### const CppComponentValue *CppQmlTypes::objectByQualifiedName(const QString &fullyQualifiedName) const

### const CppComponentValue *CppQmlTypes::objectByQualifiedName(const QString &package, const QString &type, LanguageUtils::ComponentVersion version) const

### `[static]` QString CppQmlTypes::qualifiedName(const QString &module, const QString &type, LanguageUtils::ComponentVersion version)

### void CppQmlTypes::setCppContextProperties(const ObjectValue *contextProperties)

See also cppContextProperties().